#!/bin/sh
HOME="/home/alice/seal-blog"

# Call generateSealPosts from root of blog
#   This will generate posts up to today
cd $HOME
./generate/generateSealPosts

# cd to website so site can find posts folder and build
cd $HOME/website

# Before our posts will show up on the site
# we need to build them so they're generated
# from our site.hs logic
./site build

# Push to git
cd $HOME
ssh-add
git add .
git config user.name "Alice"
git config user.email "admin@cutesealfanpage.love"
git commit -m "Daily blog update"
git push origin main